Bug 1381131 - OpenSSL 1.1.0
Summary: OpenSSL 1.1.0
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking   
(Show other bugs)
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF26, SystemWideChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-03 08:01 UTC by Jan Kurik
Modified: 2017-07-25 17:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 17:04:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Kurik 2016-10-03 08:01:18 UTC
This is a tracking bug for Change: OpenSSL 1.1.0
For more details, see: https://fedoraproject.org//wiki/Changes/OpenSSL110

Rebase of OpenSSL package to 1.1.0 version

Comment 1 Jan Kurik 2017-02-28 10:08:23 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 2 Fedora End Of Life 2017-02-28 10:24:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Tomas Mraz 2017-02-28 11:37:22 UTC
The rebased package is present. There is also compat-openssl10 package that provides openssl-1.0.2 for dependent applications that cannot move to 1.1.0 yet.

Comment 4 Jan Kurik 2017-05-17 09:13:14 UTC
On 2017-May-16 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 26 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 5 Simon Clark 2017-07-02 18:57:38 UTC
I have added release notes text for this change to the draft F26 Release Notes here: https://pagure.io/release-notes/c/d92bb14dcdb2120acd50cdfcd2601688f24389ba?branch=f26

Please would you take a look at the draft and let me know if anything should be added or changed?

Comment 6 Tomas Mraz 2017-07-10 11:35:02 UTC
It's OK.


Note You need to log in before you can comment on or make changes to this bug.